NVIDIA-SMI has failed because it couldn't communicate with the NVIDIA driver问题排查

问题

执行:nvidia-smi
出现提示:NVIDIA-SMI has failed because it couldn’t communicate with the NVIDIA driver. Make sure that the latest NVIDIA driver is installed and running.重启后问题依然这样
 

原因排查

可以先确认下是不是ubuntu内核版本更新了, 若是内核版本太高的问题,应该是关机后自动更新了, 选择低版本的内核即可
查看所有已安装及未安装内核的信息: sudo dpkg --get-selections | grep linux-image 
查看当前使用内核版本: uname -sr
 

解决方法

修改Ubuntu默认开机启动的内核版本
 
终端执行: sudo vim /etc/default/grub
GRUB_DEFAULT=0修改为 GRUB_DEFAULT="1> 3"(注:1 代表主菜单的第二项Advanced options for Ubuntu;3代表1项目下面对应的子菜单里面的第4项;)
(vim操作提示:进入vim界面后按I进入编辑模式,修改完毕按Esc键退出编辑模式,再输入:wq!保存并退出vim)

退出后执行: sudo update-grub
重新启动: sudo reboot
现在应该默认启动旧的内核版本。查看内核版本: uname -r
禁止内核更新: sudo apt-mark hold linux-image-4.4.0-145-generic
 

参考资料:

 
相关推荐
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页